Advertising

Welcome to SparkyLinux forums
Zapraszamy również na polsko-języczne Forum https://forum.linuxiarze.pl

WPS Office not work on lastest Sparky

Started by ansori, June 30, 2020, 09:16:03 AM

Previous topic - Next topic

ansori

I'm new using Sparky Linux. I have old Laptop with 1.8Ghz and 1Gb Ram. Tested running with Ubuntu 16.04 32bit, is rather laggy. So, I research other distro for working fine on my old Laptop.

Now, I'm testing Sparky Linux in Vbox. All is working fine. Small resources and very fast. I like it!
I prefer use WPS Office. So, I installed WPS Office:
method 1: download and install deb file from wps office official download.
method 2: install from aptUs.

The result is same.
After successfully installed. Open the WPS Office -> check the agreement -> then nothing happen. Wait for several minutes, wps office not launch.
Then I open again, still nothing happen.

I did sudo apt-get update and sudo apt-get upgrade. Reinstall wps office. Same result -> nothing happen after check agreement or open the wps.

How to solve it?

Thank you.

pavroo

What is your Sparky version and arch, please?
Nothing is easy as it looks. Danielle Steel
Join #sparkylinux.org at irc.libera.chat

xingjiapeng

Hi!
I tried to download wps from official website and install it, it works well. (my sys is semi-rolling with xfce)
Probably you can run 'wps' in the terminal and see what happened.
Thanks.

bin

#3
On the Stable release there is a line in /etc/environment

QT_QPA_PLATFORMTHEME=gtk2

I use a number of Qt based apps and in the end I have commented this line out - followed by reboot.

I install qt5ct, then I run env QT_QPA_PLATFORMTHEME=qt5ct qt5ct to configure the Qt environment locally - I use the cleanlooks option as I have one app which segfaults using gtk2

All good - all look OK.

To cut a long story sideways you might want to try env QT_QPA_PLATFORMTHEME=qt5ct wps - if wps is the correct command. If that works you're on the right track.

View the most recent posts on the forum